Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class CreditLine3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.CreditLine3

public class CreditLine3 extends Object

Java class for CreditLine3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditLine3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Incl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}TrueFalseIndicator"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CreditLineType1Choice" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}DateAndDateTime2Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected DateAndDateTime2Choice`
`dt`
`protected boolean`
`incl`
`protected CreditLineType1Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`CreditLine3()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`DateAndDateTime2Choice`
`getDt()`
Gets the value of the dt property.
`CreditLineType1Choice`
`getTp()`
Gets the value of the tp property.
`boolean`
`isIncl()`
Gets the value of the incl property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setDt(DateAndDateTime2Choice value)`
Sets the value of the dt property.
`void`
`setIncl(boolean value)`
Sets the value of the incl property.
`void`
`setTp(CreditLineType1Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### incl

protected boolean incl

### tp

protected CreditLineType1Choice tp

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### dt

protected DateAndDateTime2Choice dt

## Constructor Details

### CreditLine3

public CreditLine3()

## Method Details

### isIncl

public boolean isIncl()
Gets the value of the incl property.

### setIncl

public void setIncl(boolean value)
Sets the value of the incl property.

### getTp

public CreditLineType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `CreditLineType1Choice`

### setTp

public void setTp(CreditLineType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CreditLineType1Choice`

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getDt

public DateAndDateTime2Choice getDt()
Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTime2Choice`

### setDt

public void setDt(DateAndDateTime2Choice value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`